Bug 2495 - java.lang.AssertionError
java.lang.AssertionError
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: GUI:General
1
PC Mac OS
: P1 blocker
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 06:23 UTC by strubin
Modified: 2011-04-15 20:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 06:23:04 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-07-22 20:44:16 **

I am unable to do any design at all... please advise.

java.lang.AssertionError
\tat com.sun.electric.tool.user.User.getPrimitivePortConnectedToArc(User.java:742)
\tat com.sun.electric.tool.routing.VerticalRoute.findConnectingPorts(VerticalRoute.java:575)
\tat com.sun.electric.tool.routing.VerticalRoute.specifyRoute(VerticalRoute.java:437)
\tat com.sun.electric.tool.routing.VerticalRoute.specifyRoute(VerticalRoute.java:220)
\tat com.sun.electric.tool.routing.VerticalRoute.newRoute(VerticalRoute.java:150)
\tat com.sun.electric.tool.routing.InteractiveRouter.planRoute(InteractiveRouter.java:324)
\tat com.sun.electric.tool.routing.InteractiveRouter.highlightRoute(InteractiveRouter.java:254)
\tat com.sun.electric.tool.user.ui.ClickZoomWireListener.mousePressed(ClickZoomWireListener.java:370)
\tat com.sun.electric.tool.user.ui.EditWindow.mousePressed(EditWindow.java:385)
\tat java.awt.Component.processMouseEvent(Component.java:5599)
\tat javax.swing.JComponent.processMouseEvent(JComponent.java:3135)
\tat java.awt.Component.processEvent(Component.java:5367)
\tat java.awt.Container.processEvent(Container.java:2010)
\tat java.awt.Component.dispatchEventImpl(Component.java:4068)
\tat java.awt.Container.dispatchEventImpl(Container.java:2068)
\tat java.awt.Component.dispatchEvent(Component.java:3903)
\tat java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4256)
\tat java.awt.LightweightDispatcher.processMouseEvent(Container.java:3933)
\tat java.awt.LightweightDispatcher.dispatchEvent(Container.java:3866)
\tat java.awt.Container.dispatchEventImpl(Container.java:2054)
\tat java.awt.Window.dispatchEventImpl(Window.java:1801)
\tat java.awt.Component.dispatchEvent(Component.java:3903)
\tat java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
\tat com.sun.electric.tool.user.UserInterfaceMain$EventProcessor.dispatchEvent(UserInterfaceMain.java:1057)
\tat java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
\tat java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
\tat java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
\tat java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
\tat java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 strubin 2011-04-15 17:06:19 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-07-22 21:59:17 **

The assertion was added with bug #2295[java.net Bug #2486] solution (wiring tool). If you are running the last version from SVN, please describe the actual actions which lead to the crash. I tried the wiring tool for most of the lay techs and I haven't been able to reproduce it
Comment 2 strubin 2011-04-15 17:06:21 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-07-22 23:55:08 **

(In reply to comment #1)
> The assertion was added with bug #2295[java.net Bug #2486] solution (wiring tool). If you are
> running the last version from SVN, please describe the actual actions which
> lead to the crash. I tried the wiring tool for most of the lay techs and I
> haven't been able to reproduce it
> 
> 
> 

I was trying to connect the output of an inverter from the redFive library to the input of a NOR gate from the redFive library.  In the schematic technology.

But nearly every action I try to perform in the schematic technology causes this error.  So, I need to downgrade and start using an old version of electric and stop testing the current version.

  - a
Comment 3 strubin 2011-04-15 17:06:24 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-07-23 00:42:50 **

The exception suggests the current contact data in the wiring tool doesn't get properly populated for schematics but I can't get it crash from here. I will try next on my Ubuntu box.

Just use the beta version for now.
Comment 4 strubin 2011-04-15 17:06:26 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-07-23 09:39:02 **


FIX: Contact assertion condition only valid for layout techs
Comment 5 strubin 2011-04-15 17:06:29 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-07-23 09:43:58 **
Comment 6 strubin 2011-04-15 17:06:32 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-08-03 14:00:23 **

Being released in v8.10b and verified. Closing now.